View the idle events of your drivers

Purpose: Use this API to view the idle time or idle events of the drivers in your fleet.

require 'uri'
require 'net/http'

url = URI('https://api.gomotive.com/v1/idle_events')

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request['Authorization'] = "Bearer <OAUTH_TOKEN>"

response = http.request(request)
puts response.read_body


Response Parameters

idle_event

  • Type: Object
  • Description: Details of an idle event for a specific vehicle.

id

  • Type: Integer
  • Description: Unique identifier for the idle event (e.g., 35040).

start_time

  • Type: String (Date-Time)
  • Description: The start time of the idle event in ISO 8601 format (e.g., "2018-05-29T09:53:57Z").

end_time

  • Type: String (Date-Time)
  • Description: The end time of the idle event in ISO 8601 format (e.g., "2018-05-29T09:58:10Z").

veh_fuel_start

  • Type: String
  • Description: The vehicle's fuel level at the start of the idle event (e.g., 323326.5 liters).

veh_fuel_end

  • Type: String
  • Description: The vehicle's fuel level at the end of the idle event (e.g., 323326.8091 liters).

lat

  • Type: String
  • Description: Latitude coordinate of the vehicle during the idle event (e.g., 42.9744623).

lon

  • Type: String
  • Description: Longitude coordinate of the vehicle during the idle event (e.g., -78.9293763).

city

  • Type: String
  • Description: City where the idle event took place (e.g., "Tonawanda").

state

  • Type: String
  • Description: State where the idle event took place (e.g., "NY").

rg_brg

  • Type: String
  • Description: Registration bearing during the idle event (e.g., 226.923888332155).

rg_km

  • Type: String
  • Description: Registration kilometers during the idle event (e.g., 6.4759410773022 km).

rg_match

  • Type: Boolean
  • Description: Indicates if the registration matches (e.g., true).

end_type

  • Type: String
  • Description: The reason why the idle event ended (e.g., "vehicle_moving").

driver

  • Type: Object
  • Description: Information about the driver during the idle event. Null if not applicable.

vehicle

  • Type: Object
  • Description: Information about the vehicle involved in the idle event.

id

  • Type: Integer
  • Description: Unique identifier for the vehicle (e.g., 4052).

number

  • Type: String
  • Description: Vehicle number or identifier (e.g., "F335ca_00795348").

year

  • Type: String
  • Description: Year of the vehicle's manufacture (if available).

make

  • Type: String
  • Description: Manufacturer of the vehicle (e.g., "Ford").

model

  • Type: String
  • Description: Model of the vehicle.

vin

  • Type: String
  • Description: Vehicle Identification Number (VIN).

metric_units

  • Type: Boolean
  • Description: Indicates whether metric units are used (e.g., false for imperial units).

eld_device

  • Type: Object
  • Description: Information about the vehicle gateway associated with the idle event.

id

  • Type: Integer
  • Description: Unique identifier for the vehicle gateway (e.g., 21186).

identifier

  • Type: String
  • Description: Identifier for the vehicle gateway (e.g., "00795348").

model

  • Type: String
  • Description: Model of the vehicle gateway (e.g., "lbb-3.35ca").

location

  • Type: String
  • Description: Description of the location where the idle event occurred (e.g., "Tonawanda, NY").

Path Params
driver_ids[]
array of int32s
required

Specify 1 or more driver IDs for fetching the idle events for those corresponding drivers.

driver_ids[]*
vehicle_ids[]
array of int32s
required

Specify 1 or more vehicle IDs for filtering the idle events of the drivers.

vehicle_ids[]*
date
required

Specify the start date from when you want to fetch the utilization. Default: TODAY - 7 DAYS AGO

date
required

Specify the end date till when you want to view the idle time.

int32
required
Defaults to 25

The number of records to display per page.

int32
required
Defaults to 1

Denotes the current page number.

Headers
string

Specify the timezone for formatting the timestamps.

boolean

Specify if you want to use the Metric units or the Imperial units. TRUE: Metric units. FALSE: Imperial Units

int32

Specify the ID of the Fleet Admin or the Fleet Manager who is accessing this endpoint.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json